/*
 *  file_handling.h
 *
 */


inline bool file_is_present (char* filename)
{
    FILE *fp;

    if ( (fp = fopen(filename, "r")) == NULL ) 
    {
        return false;
    }
    else
    {
        fclose(fp);
        return true;
    }
}